DRM_DP_MST_TOPOLOGY_(9)

NAME
drm_dp_mst_topology_mgr_resume - resume the MST manager

SYNOPSIS

int drm_dp_mst_topology_mgr_resume(struct drm_dp_mst_topology_mgr * mgr);

ARGUMENTS

mgr
    manager to resume

DESCRIPTION

This will fetch DPCD and see if the device is still there, if it is, it will rewrite the MSTM control bits, and return.

if the device fails this returns -1, and the driver should do a full MST reprobe, in case we were undocked.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT